Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	cross-platform, open-source make system
Name:      	cmake
Version:   	2.6.1
Release:   	1
License: 	BSD-style
URL:		http://www.cmake.org/
Group:     	Development/Tools
Source0: 	%{name}-%{version}.tar.gz
Source2:        macros.cmake
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  libstdc++-devel curl-devel expat-devel

%description
CMake is used to control the software compilation process using simple 
platform and compiler independent configuration files. CMake generates 
native makefiles and workspaces that can be used in the compiler 
environment of your choice. CMake is quite sophisticated: it is possible 
to support complex environments requiring system configuration, pre-processor 
generation, code generation, and template instantiation.

%prep
%setup -n %{name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./bootstrap --prefix=%{_prefix} --datadir=/share/%{name} \
            --docdir=/share/doc/%{name}-%{version} --mandir=/share/man 
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

find $RPM_BUILD_ROOT/%{_datadir}/%{name}/Modules -type f | xargs chmod -x
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
cp -a Example $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
install -m 0644 Docs/cmake-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
# RPM macros
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rpm/macros.cmake
%{_datadir}/doc/%{name}-%{version}/
%{_bindir}/ccmake
%{_bindir}/cmake
%{_bindir}/cpack
%{_bindir}/ctest
%{_datadir}/%{name}/
%{_mandir}/man1/*.1*
%{_datadir}/emacs/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 11 2008 Christian Wasem <wasem@ccux-linux.de> 2.6.1-1
- Version update
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.0-1
- Version update
* Sun Apr 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.8-1
- Version update
* Fri Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.7-3
- rebuild against gcc 4.1.2
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.4.7-2
- added rpm macros file
* Tue Oct 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.7-1
- Version update
* Tue Jan 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.6-1
- Version update
* Fri Dec 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-1
- Version update
* Thu Jun 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Initial Release
